summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2018-07-16 19:29:05 +0200
committerMichał Górny <mgorny@gentoo.org>2018-07-16 19:41:01 +0200
commitb337751dcb6f286328bd5860668f35fd7759c560 (patch)
treea5a6d5948197a8562e4866f0f8ed5e030136a588
parentdev-python/pycurl: Improve running tests (diff)
downloadgentoo-b337751dcb6f286328bd5860668f35fd7759c560.tar.gz
gentoo-b337751dcb6f286328bd5860668f35fd7759c560.tar.bz2
gentoo-b337751dcb6f286328bd5860668f35fd7759c560.zip
dev-python/pycurl: Skip gssapi tests to avoid [kerberos] dep
Skip the gssapi tests which boil down to checking if gssapi option is supported. This lets us avoid forcing [kerberos] on net-libs/curl.
-rw-r--r--dev-python/pycurl/pycurl-7.43.0.2.ebuild4
1 files changed, 2 insertions, 2 deletions
diff --git a/dev-python/pycurl/pycurl-7.43.0.2.ebuild b/dev-python/pycurl/pycurl-7.43.0.2.ebuild
index 3b07c860bc3..f88599c7048 100644
--- a/dev-python/pycurl/pycurl-7.43.0.2.ebuild
+++ b/dev-python/pycurl/pycurl-7.43.0.2.ebuild
@@ -40,7 +40,7 @@ DEPEND="${RDEPEND}
dev-python/bottle[${PYTHON_USEDEP}]
dev-python/flaky[${PYTHON_USEDEP}]
dev-python/nose[${PYTHON_USEDEP}]
- net-misc/curl[curl_ssl_gnutls(-)=,curl_ssl_libressl(-)=,curl_ssl_nss(-)=,curl_ssl_openssl(-)=,-curl_ssl_axtls(-),-curl_ssl_cyassl(-),http2,kerberos]
+ net-misc/curl[curl_ssl_gnutls(-)=,curl_ssl_libressl(-)=,curl_ssl_nss(-)=,curl_ssl_openssl(-)=,-curl_ssl_axtls(-),-curl_ssl_cyassl(-),http2]
>=dev-python/bottle-0.12.7[${PYTHON_USEDEP}]
)"
# Needed for individual runs of testsuite by python impls.
@@ -62,7 +62,7 @@ python_compile() {
}
python_test() {
- nosetests -a '!standalone' -v --with-flaky || die "Tests fail with ${EPYTHON}"
+ nosetests -a '!standalone,!gssapi' -v --with-flaky || die "Tests fail with ${EPYTHON}"
}
python_install_all() {